task concatVCF {

    Array[File] vcf
    String mapper
    String sample_name
	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e	
		/opt/hall-lab/bcftools-1.9/bin/bcftools concat -a ${sep=" " vcf} > ${sample_name}.${mapper}.fb.vcf
	>>>

	runtime {
		docker: docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File filtered = "${sample_name}.${mapper}.fb.vcf"
	}
}
