import "./tasks/breakChromo.wdl" as breakChromo
import "./tasks/Freebayes.wdl" as freebayes
import "./tasks/concatVCF.wdl" as concatVCF

workflow {{ project_name }} {
	File dedup_bam
	File dedup_bam_index
	Array[String] chromosomes = ["chr1" , "chr2" , "chr3" , "chr4" , "chr5" , "chr6" , "chr7" , "chr8" , "chr9" , "chr10" , "chr11" , "chr12" , "chr13" , "chr14" , "chr15" , "chr16" , "chr17" , "chr18" , "chr19" , "chr20" , "chr21" , "chr22" , "chrX"]
	File ref_dir
	String mapper
	String fasta
	String half_read_length
	String sample_name
	String disk_size
	String cluster_config
	scatter (chromosome in chromosomes){
		call breakChromo.breakChromo as breakChromo {
			input:
			dedup_bam=dedup_bam,
			dedup_bam_index=dedup_bam_index,
			chromosome=chromosome,
			sample_name=sample_name,
			cluster_config=cluster_config,
			disk_size=disk_size
		}
		call freebayes.freebayes as freebayes {
			input:
			ref_dir=ref_dir,
			fasta=fasta,
			chr_bam=breakChromo.chr_bam,
			chr_bam_bai=breakChromo.chr_bam_bai,
			chromosome=chromosome,
			half_read_length=half_read_length,
			sample_name=sample_name,
			cluster_config=cluster_config,
			disk_size=disk_size
		}
	}
	call concatVCF.concatVCF as concatVCF{
		input:
		vcf=freebayes.vcf,
		mapper=mapper,
		sample_name=sample_name,
		cluster_config=cluster_config,
		disk_size=disk_size
	}

}

